package com.flowing.light.board.tools;

public class KeyboardData {
    private String key;
    private String thumbUrl;
    private String thumbUrlGif;
    private String title;
    private Detail detail;

    // Getter & Setter
    public String getKey() { return key; }
    public void setKey(String key) { this.key = key; }
    public String getThumbUrl() { return thumbUrl; }
    public void setThumbUrl(String thumbUrl) { this.thumbUrl = thumbUrl; }
    public String getThumbUrlGif() { return thumbUrlGif; }
    public void setThumbUrlGif(String thumbUrlGif) { this.thumbUrlGif = thumbUrlGif; }
    public String getTitle() { return title; }
    public void setTitle(String title) { this.title = title; }
    public Detail getDetail() { return detail; }
    public void setDetail(Detail detail) { this.detail = detail; }

    // Detail子实体类
    public static class Detail {
        private String key;
        private ThemeContent themeContent;
        private String title;

        // Getter & Setter
        public String getKey() { return key; }
        public void setKey(String key) { this.key = key; }
        public ThemeContent getThemeContent() { return themeContent; }
        public void setThemeContent(ThemeContent themeContent) { this.themeContent = themeContent; }
        public String getTitle() { return title; }
        public void setTitle(String title) { this.title = title; }
    }

    // ThemeContent子实体类
    public static class ThemeContent {
        private String androidRawZipUrl;
        private String img;
        private String imgBanner;
        private String imgPreviewGif;
        private String pushBanner;
        private String pushIcon;

        // Getter & Setter
        public String getAndroidRawZipUrl() { return androidRawZipUrl; }
        public void setAndroidRawZipUrl(String androidRawZipUrl) { this.androidRawZipUrl = androidRawZipUrl; }
        public String getImg() { return img; }
        public void setImg(String img) { this.img = img; }
        public String getImgBanner() { return imgBanner; }
        public void setImgBanner(String imgBanner) { this.imgBanner = imgBanner; }
        public String getImgPreviewGif() { return imgPreviewGif; }
        public void setImgPreviewGif(String imgPreviewGif) { this.imgPreviewGif = imgPreviewGif; }
        public String getPushBanner() { return pushBanner; }
        public void setPushBanner(String pushBanner) { this.pushBanner = pushBanner; }
        public String getPushIcon() { return pushIcon; }
        public void setPushIcon(String pushIcon) { this.pushIcon = pushIcon; }
    }
}
